Page MenuHomeFreeBSD

devel/py-capstone: Update to 4.0.1
ClosedPublic

Authored by 0mp on Feb 19 2020, 12:13 AM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Jul 9, 7:55 PM
Unknown Object (File)
Tue, Jun 25, 7:15 PM
Unknown Object (File)
Mon, Jun 24, 8:49 PM
Unknown Object (File)
May 29 2024, 2:23 PM
Unknown Object (File)
May 29 2024, 2:23 PM
Unknown Object (File)
May 29 2024, 2:23 PM
Unknown Object (File)
May 29 2024, 2:05 PM
Unknown Object (File)
May 2 2024, 3:22 PM
Subscribers

Details

Summary
devel/py-capstone: Update to 4.0.1

Also, set NO_ARCH while here.

BTW:

  • This port has to be kept in sync with devel/capstone4. Otherwise, runtime errors may occur.
  • I am not sure if its safe to update this port to another major version. I've not tested the ports depending on this port. (UPDATE: I've checked all the depending ports already. See the comments for details.).

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 29482
Build 27354: arc lint + arc unit

Event Timeline

@0mp Thanks for this.

Approved it passes QA (check consumers, if any, also continue to build/package correctly)

This revision is now accepted and ready to land.Feb 20 2020, 8:34 AM

It looks like only 2 ports have to be switched to capstone4. I've linked them as child revisions.

This revision was automatically updated to reflect the committed changes.